EventDispatcher(3)

NAME
EventDispatcher -

Event dispatcher class'.

SYNOPSIS

#include <usertable.h>

  Public Member Functions
EventDispatcher (int iPipeFd, Inotify *pIn, InotifyWatch *pSys, InotifyWatch *pUser)
Constructor'.
~EventDispatcher ()
Destructor'.
bool ProcessEvents ()
Processes events'.
void Register (UserTable *pTab)
Registers an user table'.
void Unregister (UserTable *pTab)
Unregisters an user table'.
size_t GetSize () const
Returns the poll data size'.
struct pollfd * GetPollData ()
Returns the poll data'.
void Rebuild ()
Rebuilds the poll array data'.
void Clear ()
Removes all registered user tables'.

Detailed Description

Event dispatcher class'. This class processes events and distributes them as needed'.

Constructor & Destructor Documentation

  EventDispatcher::EventDispatcher (intiPipeFd, Inotify *pIn, InotifyWatch *pSys, InotifyWatch *pUser)

Constructor'. Parameters:
    iPipeFd pipe descriptor
    pIn inotify object for table management
    pSys watch for system tables
    pUser watch for user tables

  EventDispatcher::~EventDispatcher ()

Destructor'.

Member Function Documentation

  void EventDispatcher::Clear () [inline]

Removes all registered user tables'. It doesn't cause poll data rebuilding'.

  struct pollfd* EventDispatcher::GetPollData () [inline, read]

Returns the poll data'. Returns:
    poll data

  size_t EventDispatcher::GetSize () const [inline]

Returns the poll data size'. Returns:
    poll data size

  bool EventDispatcher::ProcessEvents ()

Processes events'. Returns:
    pipe event occurred yes/no

  void EventDispatcher::Rebuild ()

Rebuilds the poll array data'.

  void EventDispatcher::Register (UserTable *pTab)

Registers an user table'. Parameters:
    pTab user table

  void EventDispatcher::Unregister (UserTable *pTab)

Unregisters an user table'. Parameters:
    pTab user table

Author

Generated automatically by Doxygen for incron from the source code'.